- Home
- API Enriched
- Support
- operate
- Check Debug Info Collection.
Check Debug Info Collection.
GET
/api/operate/namespaces/system/sites/{site}/vpm/debug/global/check-debug-info-collection
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/check-debug-info-collection';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/check-debug-info-collection \ --header 'Authorization: <Authorization>'Check if the zip file of debug info from node is available.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”site
required
string
Site Name Name of the site.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Check Debug Info Collection Response
Check debug info from site.
object
collection_start_time
Collect Start Time
The UTC timestamp when the collection start.
string
debug_in_progress
Debug In Progress
True if debug is in progress.
boolean format: boolean
node_name
Node Name
Name of the debug bundle.
string
validity
Debug Bundle Validity
The UTC timestamp of the validity of debug bundle.
string
Examplegenerated
{ "collection_start_time": "example", "debug_in_progress": true, "node_name": "example", "validity": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example